<?php 
	$post_id = $post->ID;
	// 获取当前分类ID
	$cats = gc_get_post_categories($post_id);
	// form提交路径
	$url=set_url_scheme( 'http://' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'] );
	$action_url = pathinfo($url)['dirname'];
?>
<!DOCTYPE html>
<html lang="zh-CN">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="renderer" content="webkit">
<?php include( 'seo.php' ); ?>
<link href="<?php echo get_GCBbook_Theme('style.css'); ?>" rel="stylesheet">
<link href="<?php echo get_GCBbook_Theme('css/bootstrap.css'); ?>" rel="stylesheet">
<link href="<?php echo get_GCBbook_Theme('website.css'); ?>" rel="stylesheet">
<script src="<?php echo get_GCBbook_Theme('js/jquery.min.js'); ?>" type="text/javascript"></script>
<?php gc_head(); ?>
</head>
<body>
<div class="book">
<div class="book-summary">
	<?php if (get_option('header_logo_image') != '') { ?>
		<style>
	      .sa-logo {
	        background: url('<?php echo get_option('header_logo_image'); ?>') no-repeat;
	        background-size: contain;
	        background-position: 16px center;
	        height: 48px;
	        width: 100%;
	        display: block;
            margin: 10px 0px 10px 0px;
	      }
	    </style>
		<div class="logo">
			<a href="<?php echo get_option('logourl') ? get_option('logourl') : esc_url( site_url() ); ?>">
                <p class="sa-logo"></p>
                <?php
                   if ( function_exists( 'the_custom_logo' ) ) {
                       the_custom_logo();
                   }
                ?>
            </a>
		</div>
	<?php } else { ?>
		<style>
			.title {
				padding: 0 12px;
			    border-bottom: 1px solid #ddd;
			    line-height: 55px;
			    color: inherit;
			    display: block;
			    overflow: hidden;
			    text-overflow: ellipsis;
			    white-space: nowrap;
			    font-weight: 700;
			    font-size: 16px;
			}
		</style>
		<div class="title">
			<?php echo get_bloginfo('name'); ?>
		</div>
	<?php } ?>
	<div id="book-search-input">
		<form action="<?php echo $action_url; ?>" method="get">
			<input type="text" name="s" placeholder="搜索">
		</form>
	</div>
<?php 
	// 如果菜单没有分配，就显示当前分类的升序列表
	if(has_nav_menu('main')) {
		gc_nav_menu( array( 'theme_location'=>'main','container'=>'nav','container_class'=>'navbox','menu_class'=>'summary',  ) );
	}else{
?>
	<nav class="navbox">
		<ul id="menu_book" class="summary">
			<?php 
				$args = array();
				if ($cats){
					$args['category__in'] = array( $cats[0] ); # 当前分类
				}
				$args['showposts'] = '9999';# 排序列
				$args['orderby'] = 'id';# 排序列
				$args['order'] = 'ASC';# 升序

				query_posts($args); //showposts=10表示10篇
				$i = 0;
				while(have_posts()): the_post();
					$current_menu_item = get_the_id() == $post_id ? 'current-menu-item' : '' ;
			?>
			<li id="wzlist<?php echo $i; ?>" class="menu-item menu-item-type-post_type menu-item-object-post <?php echo $current_menu_item ;?> menu-item-<?php the_id(); ?>"><a href="<?php the_permalink(); ?>"><?php the_title() ?></a></li>
			<?php 
				$i++;
				endwhile; 
				gc_reset_query(); 
			?>
		</ul>
	</nav>
<?php 
	}
?>
	<div class="f_bq"><?php echo '<a class="gitbook-link" target="_blank" href="https://www.gechiui.com/">本书使用 GeChiUI.com 发布</a>'; ?></div>
</div>